<?php
/**
 * Breadcrumb Options.
 *
 * @package Dhor
 */

// Breadcrumb Section.
$wp_customize->add_section( 'section_breadcrumb',
	array(
		'title'      => esc_html__( 'Breadcrumb', 'dhor' ),
		'priority'   => 100,
		'panel'      => 'theme_option_panel',
	)
);

// Setting enable_breadcrumb.
$wp_customize->add_setting( 'theme_options[enable_breadcrumb]',
	array(
		'default'           => $default['enable_breadcrumb'],
		'sanitize_callback' => 'dhor_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[enable_breadcrumb]',
	array(
		'label'    			=> esc_html__( 'Enable Breadcrumb', 'dhor' ),
		'section'  			=> 'section_breadcrumb',
		'type'     			=> 'checkbox',
		'priority' 			=> 100,
	)
);


// Setting breadcrumb_type.
$wp_customize->add_setting( 'theme_options[breadcrumb_type]',
	array(
		'default'           => $default['breadcrumb_type'],
		'sanitize_callback' => 'dhor_sanitize_select',
	)
);
$wp_customize->add_control( 'theme_options[breadcrumb_type]',
	array(
		'label'    => esc_html__( 'Breadcrumb Type', 'dhor' ),
		'section'  => 'section_breadcrumb',
		'type'     => 'radio',
		'priority' => 100,
		'choices'  => array(
				'rankmath' => esc_html__( 'Rank Math', 'dhor' ),
				'yoast' => esc_html__( 'Yoast SEO', 'dhor' ),
			),
		'active_callback' 	=> 'dhor_is_breadcrumb_active',
	)
);
